MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000577Community[OCCT] OCCT:WOKpublic2002-08-01 16:542011-12-15 17:54
Reporteremo 
Assigned Toimv 
PrioritynoneSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.1.0 
Summary0000577: Automake build fails
DescriptionThis bug has been added by William Jones at
http://www.opencascade.org/forumorg/bug.php?bug_id=68&f=8 [^] .

Use of `./configure --prefix /usr/local/OpenCASCADE40/CVS --with-tcl=/usr/lib
--with-tk=/usr/lib` fails under Redhat Linux 7.1 with autoconf-2.13-10,
automake-1.4-8, kernel 2.4.9-31 reports the following:

...
checking for statvfs... (cached) yes
checking if it is OK to define stream input and output... ./configure: C:
command not found
no
checking if class ostream has member function form... ./configure: C: command
not found
no
checking if union semun is defined in ... ./configure: C: command not found
no
checking if function semop takes a value... ./configure: C: command not found
no
checking if function semctl takes a value... ./configure: C: command not found
no
checking for PSWsetFont in -ldps... (cached) no
...

Subsequent `make` results in the following error when building src/TKernel:

...
c++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../../inc -I../../drv/FSD
-I../../drv/GraphDS -I../../drv/GraphTools -I../../drv/MMgt -I../../drv/OSD
-I../../drv/Plugin -I../../drv/Quantity -I../../drv/Resource
-I../../drv/SortTools -I../../drv/Standard -I../../drv/StdFail
-I../../drv/Storage -I../../drv/TColQuantity -I../../drv/TColStd
-I../../drv/TCollection -I../../drv/TShort -I../../drv/Units
-I../../drv/UnitsAPI -I../../drv/Dynamic -I../../drv/Materials
-I../../drv/IncludeLibrary-I../../drv/Dico -I../../drv/LibCtl -g -O2 -DCSFDB
-Wp,-MD,.deps/OSD_Chronometer.pp -c ../../src/OSD/OSD_Chronometer.cxx -o
OSD_Chronometer.o >/dev/null 2>&1
-c ../../src/OSD/OSD_Cmailbox.c
/bin/sh: -Wp,-MD,.deps/OSD_Cmailbox.pp: No such file or directory
make[3]: *** [OSD_Cmailbox.lo] Error 127
make[3]: Leaving directory
`/ump/geo/share/linux_local/OpenCASCADE40/CVS/src/TKernel'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/ump/geo/share/linux_local/OpenCASCADE40/CVS/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/ump/geo/share/linux_local/OpenCASCADE40/CVS'
make: *** [all-recursive-am] Error 2
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2002-08-06 11:51 bugmaster Assigned To bugmaster => imv
2002-08-06 11:51 bugmaster Status new => assigned
2003-07-22 13:04 vtn Status assigned => verified
2004-10-06 11:36 bugmaster Status verified => closed
2004-10-06 11:36 bugmaster Resolution @0@ => fixed
2011-12-15 17:54 bugmaster Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker